
import * as React from 'react';

interface IconProps extends React.SVGAttributes<SVGElement> {
  children?: never;
  color?: string;
}

/**
 * @name CheckCircleIcon
 
 *
 * @category outline
 *
 * @description
 * 
 *
 * 
 * @usage
 * 
 *
 * @accessibility
 * Asegurarse de incluir un atributo `aria-label` o `aria-hidden="true"` si el ícono es decorativo.
 *
 * @returns {JSX.Element} Componente SVG.
 */
const CheckCircleIcon = React.forwardRef<SVGSVGElement, IconProps>(
  ({ color = 'currentColor', ...props }, forwardedRef) => {
    return (
      <svg {...props} ref={forwardedRef} xmlns="http://www.w3.org/2000/svg" fill="none" stroke-width="1.5" aria-hidden="true" data-slot="icon" viewBox="0 0 24 24" stroke="currentColor"><path stroke-linecap="round" stroke-linejoin="round" d="M9 12.75 11.25 15 15 9.75M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z"/></svg>
    );
  }
);

CheckCircleIcon.displayName = 'CheckCircleIcon';

export { CheckCircleIcon };
